GpgFrontend Project A Free, Powerful, Easy-to-Use, Compact, Cross-Platform, and Installation-Free OpenPGP(pgp) Crypto Tool.

Public Attributes | List of all members
GpgFrontend::GpgInfo Class Reference

Use to record some info about gnupg. More...

`#include <GpgInfo.h>`

Collaboration diagram for GpgFrontend::GpgInfo:

## Public Attributes
std::string | GnupgVersion
| version of gnupg
std::string | GpgMEVersion
std::string | AppPath
| executable binary path of gnupg
std::string | DatabasePath
| key database path
std::string | GpgConfPath
| executable binary path of gpgconf
std::string | AssuanPath
| executable binary path of assuan
std::string | CMSPath
| executable binary path of cms
std::string | GpgAgentPath
| executable binary path of gpg-agent
std::string | DirmngrPath
| executable binary path of dirmgr
std::string | KeyboxdPath
| executable binary path of keyboxd
std::string | GnuPGHomePath
| value of —homedir
std::map< std::string, std::vector< std::string > > | ComponentsInfo
std::map< std::string, std::vector< std::string > > | ConfigurationsInfo
std::map< std::string, std::vector< std::string > > | OptionsInfo
std::map< std::string, std::vector< std::string > > | AvailableOptionsInfo
std::shared_mutex | Lock

## Detailed Description

Use to record some info about gnupg.

The documentation for this class was generated from the following file:

- src/core/GpgInfo.h